=== debian/changelog ===
ros-indigo-naoqi-dcm-driver (0.0.3-0trusty) trusty; urgency=high

  * Update README
  * Update README
  * Fix typo in README
  * changing the speed of set_angles
  * changes in stiffness when shutting down
  * updating joint comparison
  * fixing the diagnostics
  * adding electical current and battery info to Diagnostics
  * adding a possibility to change stiffness
  * few changes in ReadJoints
  * Read joints names from pepper_control config
    reading joints names from yaml file
  * adding headers
  * define controlled joints from ROS controllers
  * removed joint publishing from ALMotion
  * removing velocity control and adding moveto subscriber since velocity control is already in Naoqi Driver
  * Smooth robot motion
  * Merge pull request #1 <https://github.com/ros-naoqi/naoqi_dcm_driver/issues/1> from ros-naoqi/update_links
    updated repo URL
  * smooth changed in stiffness
  * update repo urls
  * few changes in log
  * reduce Naoqi log
  * fix reading motor groups from launch
  * fixing crash at shutting down
  * clean robot.hpp
  * fixing typos
  * Contributors: Mikael Arguedas, Natalia Lyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Wed, 15 Nov 2017 23:00:00 -0000

ros-indigo-naoqi-dcm-driver (0.0.2-0trusty) trusty; urgency=high

  * fixed Autonomous Life call
  * wakeup the robot during initialization
  * Contributors: nlyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Mon, 19 Sep 2016 22:00:00 -0000

ros-indigo-naoqi-dcm-driver (0.0.1-0trusty) trusty; urgency=high

  * refactoring
  * adding a wrapper for Memory Proxy
  * updating the README
  * exit Touch service
  * adding the diagnostics class
  * adding tools for AnyValue conversion
  * fixing velocity control
  * initial commit
  * Contributors: Natalia Lyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Thu, 15 Sep 2016 22:00:00 -0000
