=== debian/control ===
Source: ros-indigo-naoqi-dcm-driver
Section: misc
Priority: extra
Maintainer: Natalia Lyubova <natalia.lyubova@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-controller-manager, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-geometry-msgs, ros-indigo-hardware-interface, ros-indigo-naoqi-libqi, ros-indigo-naoqi-libqicore, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-naoqi-dcm-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-controller-manager, ros-indigo-geometry-msgs, ros-indigo-hardware-interface, ros-indigo-naoqi-libqi, ros-indigo-naoqi-libqicore, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Description: Package containing the hardware interface to connect to Nao, Romeo, or Pepper robots.
